LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::linguistic2::ConversionPropertyType Constant Group Reference

specifies the property type of an entry in a conversion dictionary. More...

## Variables
const short | NOT_DEFINED = 0
| There is no property type defined or available. More...
const short | OTHER = 1
| Any word that does not fit into any of the other properties. More...
const short | FOREIGN = 2
| A word or term that is transliterated or used from a non-Chinese language. More...
const short | FIRST_NAME = 3
| The first name (given name) of a person. More...
const short | LAST_NAME = 4
| The last name (family name) of a person. More...
const short | TITLE = 5
| The academic or social title of a person. More...
const short | STATUS = 6
| The status of a situation. More...
const short | PLACE_NAME = 7
| The name of a location or place. More...
const short | BUSINESS = 8
| The description of a business. More...
const short | ADJECTIVE = 9
| An adjective. More...
const short | IDIOM = 10
| A term that is used to literally describe a circumstance. More...
const short | ABBREVIATION = 11
| An abbreviation. More...
const short | NUMERICAL = 12
| A numeric word. More...
const short | NOUN = 13
| A noun. More...
const short | VERB = 14
| A verb. More...
const short | BRAND_NAME = 15
| The name of a product or a company. More...

## Detailed Description

specifies the property type of an entry in a conversion dictionary.

See also
  com::sun::star::linguistic2::XConversionDictionary
  com::sun::star::linguistic2::XConversionPropertyType

Since
  OOo 2.0

## Variable Documentation

## ◆ ABBREVIATION

const short ABBREVIATION = 11

An abbreviation.

## ◆ ADJECTIVE

const short ADJECTIVE = 9

An adjective.

## ◆ BRAND_NAME

const short BRAND_NAME = 15

The name of a product or a company.

## ◆ BUSINESS

const short BUSINESS = 8

The description of a business.

## ◆ FIRST_NAME

const short FIRST_NAME = 3

The first name (given name) of a person.

## ◆ FOREIGN

const short FOREIGN = 2

A word or term that is transliterated or used from a non-Chinese language.

## ◆ IDIOM

const short IDIOM = 10

A term that is used to literally describe a circumstance.

## ◆ LAST_NAME

const short LAST_NAME = 4

The last name (family name) of a person.

## ◆ NOT_DEFINED

const short NOT_DEFINED = 0

There is no property type defined or available.

## ◆ NOUN

const short NOUN = 13

A noun.

## ◆ NUMERICAL

const short NUMERICAL = 12

A numeric word.

## ◆ OTHER

const short OTHER = 1

Any word that does not fit into any of the other properties.

## ◆ PLACE_NAME

const short PLACE_NAME = 7

The name of a location or place.

## ◆ STATUS

const short STATUS = 6

The status of a situation.

## ◆ TITLE

const short TITLE = 5

The academic or social title of a person.

## ◆ VERB

const short VERB = 14

A verb.